import { Link } from "react-router-dom";
import { ArrowForward } from "@mui/icons-material";
import {
  Card,
  CardActions,
  CardContent,
  CardHeader,
  Grid,
  IconButton,
} from "@mui/material";
interface IProps {
  title: string;
  price: number;
  id: string;
}
const ProductItem = ({ title, id, price }: IProps) => {
  return (
    <Grid item xs={12} sm={12} md={6} lg={4}>
      <Card>
        <CardHeader title={title} />
        <CardContent>
          <strong style={{ marginLeft: 10 }}>Price: {price} KZT</strong>
        </CardContent>
        <CardActions>
          <IconButton component={Link} to={`/products/${id}`}>
            <ArrowForward />
          </IconButton>
        </CardActions>
      </Card>
    </Grid>
  );
};

export default ProductItem;
